summaryrefslogtreecommitdiffstats
path: root/remote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation
diff options
context:
space:
mode:
authorChristian Rößler2014-02-11 18:05:34 +0100
committerChristian Rößler2014-02-11 18:05:34 +0100
commit7af4a967ced3c8a791e965dcef1a4be25fb42688 (patch)
tree4588199df31b6aabac9bf3ddf7cc0a0105a24def /remote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation
parent[kernel] POSSIBLE BREAKER! kernel now per git, -distro switches, added config... (diff)
parent[printergui] config cleanup (diff)
downloadtm-scripts-7af4a967ced3c8a791e965dcef1a4be25fb42688.tar.gz
tm-scripts-7af4a967ced3c8a791e965dcef1a4be25fb42688.tar.xz
tm-scripts-7af4a967ced3c8a791e965dcef1a4be25fb42688.zip
Merge branch 'master' of git.openslx.org:openslx-ng/tm-scripts
Diffstat (limited to 'remote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation')
-rwxr-xr-xremote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation20
1 files changed, 20 insertions, 0 deletions
diff --git a/remote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation b/remote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation
new file mode 100755
index 00000000..33a861e6
--- /dev/null
+++ b/remote/modules/printergui/data/opt/openslx/scripts/systemd-printergui_preparation
@@ -0,0 +1,20 @@
+#!/bin/ash
+
+ERR=0
+SRCDIR=/usr/lib/cups/backend
+DESTDIR=/opt/openslx/cups/backend
+PRINTPWGUI=/opt/openslx/cups/printpwgui
+
+if [ ! -d "$DESTDIR" ]; then
+ mkdir -p "$DESTDIR" || exit 1
+fi
+
+mv "$SRCDIR"/* "$DESTDIR"
+
+cd "$SRCDIR"
+for i in "$DESTDIR"/*; do
+ ln -sf "$PRINTPWGUI" $(basename "$i")
+done
+
+exit 0
+